Package org.kapott.hbci.sepa.jaxb.pain_008_001_08

# Class CreditorReferenceType1Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_08.CreditorReferenceType1Choice

public class CreditorReferenceType1Choice extends Object

Java class for CreditorReferenceType1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditorReferenceType1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Cd" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}DocumentType3Code"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max35Text"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DocumentType3Code`
`cd`
`protected String`
`prtry`

## Constructor Summary

Constructors
Constructor
Description
`CreditorReferenceType1Choice()`

## Method Summary

Modifier and Type
Method
Description
`DocumentType3Code`
`getCd()`
Gets the value of the cd property.
`String`
`getPrtry()`
Gets the value of the prtry property.
`void`
`setCd(DocumentType3Code value)`
Sets the value of the cd property.
`void`
`setPrtry(String value)`
Sets the value of the prtry property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cd

protected DocumentType3Code cd

### prtry

protected String prtry

## Constructor Details

### CreditorReferenceType1Choice

public CreditorReferenceType1Choice()

## Method Details

### getCd

public DocumentType3Code getCd()
Gets the value of the cd property.

Returns:
  possible object is `DocumentType3Code`

### setCd

public void setCd(DocumentType3Code value)
Sets the value of the cd property.

Parameters:
  `value` - allowed object is `DocumentType3Code`

### getPrtry

public String getPrtry()
Gets the value of the prtry property.

Returns:
  possible object is `String`

### setPrtry

public void setPrtry(String value)
Sets the value of the prtry property.

Parameters:
  `value` - allowed object is `String`